org.apache.ignite.internal.management.performancestatistics

## Class PerformanceStatisticsStatusCommand

- java.lang.Object
- - org.apache.ignite.internal.management.performancestatistics.PerformanceStatisticsStatusCommand

All Implemented Interfaces:
  Command<IgniteDataTransferObject,String>, ComputeCommand<IgniteDataTransferObject,String>

    public class PerformanceStatisticsStatusCommand
    extends Object
    implements ComputeCommand<IgniteDataTransferObject,String>

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
Constructor and Description
`PerformanceStatisticsStatusCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<PerformanceStatisticsCommand.PerformanceStatisticsStatusCommandArg>` `argClass()`
`String` `description()` Command description.
`void` `printResult(IgniteDataTransferObject arg, String res, Consumer<String> printer)` Prints command result to the user.
`Class<PerformanceStatisticsTask>` `taskClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`nodes`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Constructor Detail

#### PerformanceStatisticsStatusCommand

    public PerformanceStatisticsStatusCommand()

### Method Detail

#### description

    public String description()

Command description.

Specified by:
  `description` in interface `Command<IgniteDataTransferObject,String>`

#### argClass

    public Class<PerformanceStatisticsCommand.PerformanceStatisticsStatusCommandArg> argClass()

Specified by:
  `argClass` in interface `Command<IgniteDataTransferObject,String>`
Returns:
  Arguments class.

#### taskClass

    public Class<PerformanceStatisticsTask> taskClass()

Specified by:
  `taskClass` in interface `ComputeCommand<IgniteDataTransferObject,String>`
Returns:
  Task class.

#### printResult

    public void printResult(IgniteDataTransferObject arg,
                            String res,
                            Consumer<String> printer)

Prints command result to the user.

Specified by:
  `printResult` in interface `ComputeCommand<IgniteDataTransferObject,String>`
Parameters:
  `arg` - Argument.
  `res` - Result.
  `printer` - Implementation specific printer.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023